%define upstream_name Math-Base85
%define upstream_version 0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Summary:    Math::Base85 - Perl extension for base 85 numbers, as referenced by RFC 1924
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
RFC 1924 describes a compact, fixed-size representation of IPv6
addresses which uses a base 85 number system.  This module handles
some of the uglier details of it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Math/Base85.pm
%{_mandir}/*/*

%changelog
* Wed Dec 16 2020 tv <tv> 0.500.0-1.mga8
+ Revision: 1657956
- update to 0.5

* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-3.mga8
+ Revision: 1505066
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.400.0-2.mga7
+ Revision: 1284751
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.400.0-1.mga7
+ Revision: 1173397
- update to 0.4

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-13.mga6
+ Revision: 1029533
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.200.0-12.mga6
+ Revision: 968405
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.200.0-11.mga6
+ Revision: 852231
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2-10.mga5
+ Revision: 740019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 685343
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-8.mga4
+ Revision: 512858
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2-7.mga3
+ Revision: 369523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2-6.mga1
+ Revision: 30803
- mageia rebuild
- imported package perl-Math-Base85

